# 本地build脚本
echo 'remove container'

docker container stop au_front_prod

docker container rm au_front_prod

docker container stop au_front

docker container rm au_front

echo 'remove image'

docker rmi au_front:prod

docker rmi au_front:dev

# echo 'remove package-lock.json'
# rm package-lock.json

echo 'remove .nuxt'
rm -rf .nuxt

echo 'remove node_modules'
rm -rf node_modules

echo 'docker build'
docker build -f Dockerfile.prod -t au_front:prod .

echo 'docker run dev container'
docker run -d -p 9011:3000 -v ${PWD}:/app --name au_front_prod au_front:prod
